//
// Hi-Tech Lite include file for DB038 board with 16F887:
// using an (external) RFM70 transciever
//
// Loosely based on the example application provided by HopeRF
//
//
// $Id: rfm70-config.h,v 1.1 2011/12/24 13:47:23 Wouter Exp $
//
// (c) Wouter van Ooijen - wouter@voti.nl
//
// Copying and distribution of this file, with or without modification,
// are permitted in any medium without royalty provided the copyright
// notice and this notice are preserved.  This file is offered as-is,
// without any warranty.
//


#define _DB038_RFM70_H_

#include "db038.h"

#define RFM70_SCK( x )   PIN_COPY( PORTC, 0, (x) ) 
#define RFM70_MOSI( x )  PIN_COPY( PORTC, 1, (x) )
#define RFM70_MISO       ( RC2 )
#define RFM70_CSN( x )   PIN_COPY( PORTC, 3, (x) )
#define RFM70_CE( x )    PIN_COPY( PORTC, 4, (x) )

#define RFM70_PIN_DIRECTION {  \
   TRISC = 0b00000100; \
}

#define RFM70_WAIT_US( x ) delay_us( x )
#define RFM70_WAIT_MS( x ) delay_ms( x )

#include "rfm70.h"


